<?php
/**
 * Bookmark CExt
 * 以下のブックマークに対応
 * はてなブックマーク()
 */
require_once 'Platy/CExt.php';

class Platy_CExt_Bookmark extends Platy_CExt
{
    function install() { return true; }
    
    function uninstall() { return true; }
    
    // イベントハンドラ
    
    function event_PostContentFooter() 
    {
        global $db, $currentContent, $Me;
        
        echo '<p>タグ:';
        $sql = "SELECT tag "
             . "FROM Platy_CExt_Tag "
             . "WHERE id={$currentContent['id']} ";
        $rows = $db->fetchAll($sql);
        for ($i = 0; $i < count($rows); $i++) {
            echo '&nbsp;' . $rows[$i]['tag'];
        }
        echo '</p>' . "\n";
    }
    
    public function getSummary()
    {
        return 'コンテンツにブックマークを付加します';
    }
}
?>
